header {
  background-image: url("../../img/img_1.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
  width: 100vw;
  height: 80vh;
  .button--position {
    width: 390px;
    font-size: 1.2rem;
    position: absolute;
    top: 97.5%;
    left: calc((100vw - 390px) / 2);
  }
  a:hover {
    color: $color-white;
  }
  button:hover {
    background-color: $color-white;
    color: $color-wiolet;
  }
}
.header {
  padding: 2.5rem 10px;
  display: grid;
  grid-template-columns: 0.1fr 4fr 1fr;
  grid-template-areas: "logo nav button";
  column-gap: 3rem;
  align-items: center;
  justify-items: space-between;
  text-align: center;
  button {
    grid-area: button;
  }
  #burger__button {
    grid-area: burger__button;
    display: none;
    background-color: transparent;
    color: $color-white;
    border: none;
    font-size: 1.4rem;
  }
}
.header__navbar {
  grid-area: nav;
}
.header__logo {
  grid-area: logo;
  @include flex-row;
  justify-content: center;
  align-items: center;
  column-gap: 1rem;
}

.header__logo__img {
  width: 40px;
}

.header__logo__img:hover {
  filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%)
    hue-rotate(357deg) brightness(102%) contrast(104%);
}

.header__navbar__list {
  @include flex-row;
  gap: 3rem;
  justify-content: flex-end;
  align-items: center;
}
.button--width--1 {
  width: 9rem;
  height: 2.3rem;
  border: none;
  border-radius: 1rem;
  background-color: $color-wiolet;
  justify-self: flex-end;
}

.header__section {
  margin: 0 auto;
  padding-top: 20px;
  @include flex-col;
  justify-content: center;
  align-items: center;
  row-gap: 1rem;
}
